.fr-drawer {
  border: none;
  color: inherit;
  visibility: hidden;
  opacity: 0;
  background-color: rgba(22, 22, 22, 0.64);
  --ground: 2000;
  z-index: 1750;
  padding: 0;
  margin: 0;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  justify-content: space-between;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transition:
    opacity 0.3s,
    visibility 0.3s;

  &.fr-modal--opened {
    visibility: inherit;
    opacity: 1;
    width: 100%;
    height: 100%;
    transition:
      opacity 0.3s,
      visibility 0.3s;
  }

  &:before {
    height: 0;
    flex: 0;
  }

  &:after {
    height: 0;
    flex: 0;
  }

  .fr-modal__header {
    gap: 0.2rem;
    background-color: rgba(255, 255, 255, 0.8);
    position: sticky;
    top: 0;
    z-index: 1101;
    padding: 0.5rem 1rem 0.5rem;

    background-image: none;
    box-shadow: rgba(0, 0, 0, 0.07) 4px 0 10px 0;
    box-sizing: border-box;
    color: rgb(245, 245, 254);

    text-rendering: optimizelegibility;
    text-size-adjust: 100%;
    transition-delay: 0s;
    transition-duration: 0.3s;
    transition-property: box-shadow;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    unicode-bidi: isolate;
    visibility: visible;
    width: 100%;
    -webkit-font-smoothing: antialiased;

    [data-fr-theme='dark'] & {
      background-color: rgba(22, 22, 22, 0.8);
    }

    .fr-btn:empty {
      border-radius: 100%;
      color: rgb(58, 58, 58);
    }
  }

  @media (min-width: 48em) {
    .fr-modal__header {
      padding: 0.75rem 1.2rem;
    }
    .fr-modal {
      padding-right: var(--scrollbar-width);
    }
  }

  .fr-modal__body {
    max-height: 100vh !important;
  }
}
